#ifndef SHA1_H
#define SHA1_H

#ifdef __alpha
typedef unsigned int uint32;
#else
typedef unsigned long uint32;
#endif

struct SHA1Context {
	uint32 state[5];
	uint32 count[2];
	unsigned char buffer[64];
};

typedef struct SHA1Context SHA1_CTX;

void SHA1Transform(uint32 state[5], unsigned char buffer[64]);
void SHA1Init(SHA1_CTX * context);
void SHA1Update(SHA1_CTX * context, unsigned const char *data, unsigned int len);
void *SHA1Final(unsigned char digest[20], SHA1_CTX * context);

#endif /* SHA1_H */
